
main{
    padding: 0rem 2rem;
}

/* Folder Icons */
.folder-container {
    width:60%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    justify-content: center;
    gap: 1.8rem;
    margin-top: 50px;
    flex-wrap: wrap;
   


}
.center{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.folder {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: rgba(255, 255, 255, 0.1);
    padding: 20px;
    border-radius: 10px;
    cursor: pointer;
    transition: transform 0.3s, background 0.3s;
   
}

.folder i {
    font-size: 7rem;
    color: #f4d03f;
}

.folder p {
    margin-top: 10px;
    font-size: 1rem;
}

.folder:hover {
    transform: scale(1.1);
    background: rgba(255, 255, 255, 0.3);
}

/* Gallery Section */
.gallery-container {
    display: none;

    padding-top: 20px;
    
}

.back-btn {
    position: relative;
    
    font-size: 18px;
    padding: 10px 20px;
    border: none;
    
    background: linear-gradient(120deg, #341e0e, #392415);
    color: white;
    border-radius: 8px;
    cursor: pointer;
}

.gallery {

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 10px;
    padding: 10px;
    justify-content: center;

    margin: 0 auto;


}

.gallery img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 10px;
    cursor: pointer;
    transition: transform 0.3s;
}
.gallery video {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 10px;
    cursor: pointer;
    transition: transform 0.3s;
}

.gallery img:hover {
    transform: scale(1.05);
}

.lightbox {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0.3s;
}

.lightbox img {
    max-width: 90%;
    max-height: 70%;
    border-radius: 10px;
}

.lightbox p {
    color: white;
    font-size: 18px;
    margin-top: 10px;
    text-align: center;
}

.lightbox.show {
    visibility: visible;
    opacity: 1;
}

/* Lightbox Navigation */
.prev,
.next {
    position: absolute;
    top: 50%;
    font-size: 30px;
    color: white;
    cursor: pointer;
    transform: translateY(-50%);
    padding: 10px;
}

.prev {
    left: 20px;
}

.next {
    right: 20px;
}

.close-btn {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 30px;
    color: white;
    cursor: pointer;
}

/* Responsive */
@media (max-width: 600px) {
    .folder i {
        font-size: 5rem;
    }
    .folder-container{
        width:100%;
        margin-top: 0px;
        gap: 0.5rem;
        grid-template-columns: repeat(2,1fr);
    }

}

@media (max-width: 768px) {
    .folder-container{
      
        margin-top: 0px;
        gap: 0.5rem;
        width:100%;
        grid-template-columns: repeat(2,1fr);
    }
    .gallery {
        grid-template-columns: repeat(auto-fit, minmax(8rem,1fr));
        gap: 5px;
    }

    .gallery img {
        height: 150px;
    }
    .folder p{
        font-size: 0.8rem;
    }
}
